PORTMAP(8)

NAME
portmap - DARPA port to RPC program number mapper

SYNOPSIS
portmap [-d] [-v]

DESCRIPTION
Portmap is a server that converts RPC program numbers into DARPA protocol port numbers. It must be running in order to make RPC calls.

When an RPC server is started, it will tell portmap what port number it is listening to, and what RPC program numbers it is prepared to serve. When a client wishes to make an RPC call to a given program number, it will first contact portmap on the server machine to determine the port number where RPC packets should be sent.

Portmap must be started before any RPC servers are invoked.

Normally portmap forks and dissociates itself from the terminal like any other daemon. Portmap then logs errors using syslog(3).

Option available:

-d  (debug) prevents portmap from running as a daemon, and causes errors and debugging information to be printed to the standard error output.

-v  (verbose) enable verbose logging access control checks.

SEE ALSO
inetd.conf(5), inetd(8), rpcinfo(8)

BUGS
If portmap crashes, all servers must be restarted.

HISTORY
The portmap command appeared in 4.3BSD